Loading...
Searching...
No Matches
elastix::ImageSamplerBase< TElastix > Class Template Reference
Components » ImageSamplers | Core » Component Base Classes

`#include <elxImageSamplerBase.h>`

## Detailed Description

template<class TElastix>
class elastix::ImageSamplerBase< TElastix >

This class is the elastix base class for all ImageSamplers.

This class contains all the common functionality for ImageSamplers.

The parameter used in this class is:

Parameters
  UseMultiThreadingForSamplers: Flag that can set to "true" or "false". If "true" the sampler may use multi-threading (at least if multi-threading is implemented for the selected sampler). If "false", it will run single-threaded. This flag will not affect the output of the samplers.
  example: (UseMultiThreadingForSamplers "false")
  Default is "true".

Definition at line 51 of file elxImageSamplerBase.h.

Inheritance diagram for elastix::ImageSamplerBase< TElastix >:
[legend]

## Public Types

using | ElastixType
using | InputImageType = typename ElastixType::FixedImageType
using | ITKBaseType = itk::ImageSamplerBase<InputImageType>
using | RegistrationType
using | Self = ImageSamplerBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

void | BeforeEachResolutionBase () override
void | BeforeRegistrationBase () override
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ImageSamplerBase)
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeRegistration ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Protected Member Functions

| ImageSamplerBase ()=default
| ~ImageSamplerBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Member Functions

| elxDeclarePureVirtualGetSelfMacro (ITKBaseType)

## Additional Inherited Members

Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()
Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ElastixType

template<class TElastix>

using elastix::BaseComponentSE< TElastix >::ElastixType

Elastix typedef.

Definition at line 57 of file elxBaseComponentSE.h.

## InputImageType

template<class TElastix>

using elastix::ImageSamplerBase< TElastix >::InputImageType = typename ElastixType::FixedImageType

Other typedef's.

Definition at line 68 of file elxImageSamplerBase.h.

## ITKBaseType

template<class TElastix>

using elastix::ImageSamplerBase< TElastix >::ITKBaseType = itk::ImageSamplerBase<InputImageType>

ITKBaseType.

Definition at line 71 of file elxImageSamplerBase.h.

## RegistrationType

template<class TElastix>

using elastix::BaseComponentSE< TElastix >::RegistrationType

RegistrationType; NB: this is the elx::RegistrationBase not an itk::Object or something like that.

Definition at line 62 of file elxBaseComponentSE.h.

## Self

template<class TElastix>

using elastix::ImageSamplerBase< TElastix >::Self = ImageSamplerBase

Standard ITK-stuff.

Definition at line 57 of file elxImageSamplerBase.h.

## Superclass

template<class TElastix>

using elastix::ImageSamplerBase< TElastix >::Superclass = BaseComponentSE<TElastix>

Definition at line 58 of file elxImageSamplerBase.h.

## Constructor & Destructor Documentation

## ImageSamplerBase()

template<class TElastix>

elastix::ImageSamplerBase< TElastix >::ImageSamplerBase | ( |  | ) |

protected default

The constructor.

## ~ImageSamplerBase()

template<class TElastix>

elastix::ImageSamplerBase< TElastix >::~ImageSamplerBase | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## BeforeEachResolutionBase()

template<class TElastix>

void elastix::ImageSamplerBase< TElastix >::BeforeEachResolutionBase | ( |  | ) |

override virtual

Execute stuff before each resolution:

- Give a warning when NewSamplesEveryIteration is specified, but the sampler is ignoring it.

Reimplemented from elastix::BaseComponent.

## BeforeRegistrationBase()

template<class TElastix>

void elastix::ImageSamplerBase< TElastix >::BeforeRegistrationBase | ( |  | ) |

override virtual

Retrieves parameters from the configuration, before doing registration.

Reimplemented from elastix::BaseComponent.

## elxDeclarePureVirtualGetSelfMacro()

template<class TElastix>

elastix::ImageSamplerBase< TElastix >::elxDeclarePureVirtualGetSelfMacro | ( | ITKBaseType |  | ) |

private

## GetAsITKBaseType() [1/2]

template<class TElastix>

ITKBaseType * elastix::ImageSamplerBase< TElastix >::GetAsITKBaseType | ( |  | ) |

inline

Retrieves this object as ITKBaseType.

Definition at line 75 of file elxImageSamplerBase.h.

## GetAsITKBaseType() [2/2]

template<class TElastix>

const ITKBaseType * elastix::ImageSamplerBase< TElastix >::GetAsITKBaseType | ( |  | ) | const

inline

Retrieves this object as ITKBaseType, to use in const functions.

Definition at line 83 of file elxImageSamplerBase.h.

## GetClassName()

template<class TElastix>

virtual const char * elastix::ImageSamplerBase< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::ImageSamplerBase< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | ImageSamplerBase< TElastix > |  | ) |

Generated on 1768596610 for elastix by 1.15.0 |